%global archivename deno
Name:		denojs
Version:	1.0.5
Release:	1%{?dist}
Summary:	A secure JavaScript and TypeScript runtime
License:	MIT
URL:		https://deno.land
Source0:	https://github.com/denoland/%{archivename}/releases/download/v%{version}/%{archivename}-x86_64-unknown-linux-gnu.zip#/%{archivename}-%{version}.zip
BuildRequires:	unzip

%description
Deno aims to provide a productive and secure scripting environment for the \
modern programmer. It is built on top of V8, Rust, and TypeScript.

%prep
unzip %{SOURCE0}

%build


%install
install -m 0755 -d %{buildroot}/%{_bindir}

install -m 0755 -p %{archivename} \
	%{buildroot}/%{_bindir}

%files
%{_bindir}/%{archivename}

%changelog
* Sat Jun 06 2020 Vishal Vijayraghavan <vishalvvr@fedoraproject.org> - 1.0.5-1
- initial release 1.0.5
